Bug 1795302 - oc: error: No Auth Provider found for name "gcp"
Summary: oc: error: No Auth Provider found for name "gcp"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.3.0
Hardware: Unspecified
OS: All
unspecified
high
Target Milestone: ---
: 4.3.z
Assignee: Maciej Szulik
QA Contact: Steve Kuznetsov
URL:
Whiteboard:
Depends On: 1794516
Blocks: 1795312
TreeView+ depends on / blocked
 
Reported: 2020-01-27 16:26 UTC by Maciej Szulik
Modified: 2020-03-24 14:33 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1794516
: 1795312 (view as bug list)
Environment:
Last Closed: 2020-03-24 14:32:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift oc pull 268 None closed Bug 1795302: initialize auth plugins 2020-05-11 09:43:48 UTC
Red Hat Product Errata RHBA-2020:0858 None None None 2020-03-24 14:33:02 UTC

Description Maciej Szulik 2020-01-27 16:26:56 UTC
+++ This bug was initially created as a clone of Bug #1794516 +++

Configure a GKE cluster auth in a config:

$ yq .users[0] < ~/.kube/prow
users:
- name: gke_k8s-prow-builds_us-central1-f_prow
  user:
    auth-provider:
      config:
        access-token: xxx
        cmd-args: config config-helper --format=json
        cmd-path: /home/skuznets/google-cloud-sdk/bin/gcloud
        expiry: "2019-08-06T18:08:09Z"
        expiry-key: '{.credential.token_expiry}'
        token-key: '{.credential.access_token}'
      name: gcp

Run a command:

$ KUBECONFIG=~/.kube/prow kubectl get pods
error: No Auth Provider found for name "gcp"


$ oc version
Client Version: v4.2.14
Kubernetes Version: v1.11.0+d4cacc0

Comment 6 errata-xmlrpc 2020-03-24 14:32:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0858


Note You need to log in before you can comment on or make changes to this bug.